Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.schema
Class SchemaStringEnumEntryImpl

    java.lang.Object
      org.apache.xmlbeans.impl.schema.SchemaStringEnumEntryImpl

All Implemented Interfaces:
  SchemaStringEnumEntry

    public class SchemaStringEnumEntryImpl

extends java.lang.Object
implements SchemaStringEnumEntry

Constructor Summary
`SchemaStringEnumEntryImpl(java.lang.String str, int i, java.lang.String enumName)`

Method Summary
`java.lang.String` | `getEnumName()` A capitalized name to use for the enumeration constant name
`int` | `getIntValue()` An integer to represent this choice in the enumeration
`java.lang.String` | `getString()` The enumerated string value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaStringEnumEntryImpl

    public SchemaStringEnumEntryImpl(java.lang.String str,
                                     int i,
                                     java.lang.String enumName)

Method Detail

### getString

    public java.lang.String getString()

  Description copied from interface: `SchemaStringEnumEntry`
  The enumerated string value

  Specified by:
    `getString` in interface `SchemaStringEnumEntry`

### getIntValue

    public int getIntValue()

  Description copied from interface: `SchemaStringEnumEntry`
  An integer to represent this choice in the enumeration

  Specified by:
    `getIntValue` in interface `SchemaStringEnumEntry`

### getEnumName

    public java.lang.String getEnumName()

  Description copied from interface: `SchemaStringEnumEntry`
  A capitalized name to use for the enumeration constant name

  Specified by:
    `getEnumName` in interface `SchemaStringEnumEntry`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD